import Vue from 'vue'
import Vuex from 'vuex'
import {mapStore} from "@/store/modules/map";

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    hasRightPanel: true,
  },
  mutations: {
    changeHasRight(state, payload) {
      state.hasRightPanel = payload
    }
  },
  actions: {
  },
  modules: {
    map:mapStore
  }
})
